MediaWiki:Common.css

From Edge of Darkness Wiki

Common.css
Jump to: navigation, search

Note: After saving, you may have to bypass your browser's cache to see the changes. Mozilla / Firefox / Safari: hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (Command-R on a Macintosh); Konqueror: click Reload or press F5; Opera: clear the cache in Tools → Preferences; Internet Explorer: hold Ctrl while clicking Refresh, or press Ctrl-F5.

<includeonly><!-- DB FOR USER INFO AND CHARACTER VARIABLES -->{{#get_db_data:db=nwod
	|from=characters LEFT JOIN user u1 ON u1.userid = characters.char_userid LEFT JOIN user u2 ON u2.userid = characters.userid LEFT JOIN userfield uf1 ON uf1.userid = u1.userid LEFT JOIN userfield uf2 ON uf2.userid = u2.userid LEFT JOIN customavatar ON customavatar.userid = u1.userid LEFT JOIN customprofilepic ON customprofilepic.userid = u1.userid	
	|where=characters.threadid='{{{threadid|}}}'	
	|data={{{threadid|}}}usertitle=COALESCE(u1.usertitle, u2.usertitle), {{{threadid|}}}mask=COALESCE(uf1.field173, uf2.field173), {{{threadid|}}}lastpost=COALESCE(u1.lastpost, u2.lastpost), {{{threadid|}}}lastvisit=COALESCE(u1.lastactivity, u2.lastactivity), {{{threadid|}}}joindate=COALESCE(u1.joindate, created, u2.joindate), {{{threadid|}}}statusvenue=COALESCE(uf1.field165, uf2.field165), {{{threadid|}}}statusvenue=COALESCE(uf1.field166, uf2.field166), {{{threadid|}}}statusvenue=COALESCE(uf1.field167, uf2.field167), {{{threadid|}}}lastpostid=COALESCE(u1.lastpostid, u2.lastpostid), {{{threadid|}}}usergroupid=COALESCE(u1.usergroupid, u2.usergroupid), {{{threadid|}}}posts=COALESCE(u1.posts, u2.posts),{{{threadid|}}}venue=Venue, {{{threadid|}}}family=Family, {{{threadid|}}}kith=Kith, {{{threadid|}}}dualkith=DualKith, {{{threadid|}}}organization=Organization, {{{threadid|}}}presence=Presence, {{{threadid|}}}adv=Power, {{{threadid|}}}username=characters.char_name, {{{threadid|}}}mainname=characters.username, {{{threadid|}}}mainid=characters.userid, {{{threadid|}}}forumid=char_userid, {{{threadid|}}}avatar=customavatar.visible, {{{threadid|}}}ppic=customprofilepic.visible, {{{threadid|}}}refinement=Refinement, {{{threadid|}}}oneaccount=(CASE WHEN characters.userid = characters.char_userid THEN 'yes' ELSE 'no' END), {{{threadid|}}}status=(CASE Status WHEN 'Active' THEN 'Active' WHEN 'Deceased' THEN 'Deceased' ELSE 'Inactive' END), {{{threadid|}}}troupelabel=(CASE Venue WHEN 'Changeling' THEN 'Motley' WHEN 'Mage' THEN 'Cabal' WHEN 'Vampire' THEN 'Coterie' WHEN 'Werewolf' THEN 'Pack' WHEN 'Hunter' THEN 'Cell' ELSE NULL END), {{{threadid|}}}citylabel=(CASE Venue WHEN 'Changeling' THEN 'Freehold' WHEN 'Mage' THEN 'Consilium' WHEN 'Vampire' THEN 'Domain'  ELSE 'City' END), {{{threadid|}}}refinementlabel=(CASE Venue WHEN 'Changeling' THEN 'Entitlement' WHEN 'Mage' THEN 'Legacy' WHEN 'Vampire' THEN 'Bloodline' WHEN 'Werewolf' THEN 'Lodge' ELSE 'Refinement' END), {{{threadid|}}}organizationlabel=(CASE Venue WHEN 'Changeling' THEN 'Court' WHEN 'Mage' THEN 'Order' WHEN 'Vampire' THEN 'Covenant' WHEN 'Werewolf' THEN 'Tribe' WHEN 'Hunter' THEN 'Conspiracy' ELSE 'Org.' END), {{{threadid|}}}familylabel=(CASE Venue WHEN 'Changeling' THEN 'Seeming' WHEN 'Mage' THEN 'Path' WHEN 'Vampire' THEN 'Clan' WHEN 'Werewolf' THEN 'Auspice' WHEN 'Hunter' THEN 'Compact' ELSE 'Family' END), {{{threadid|}}}powerlabel=(CASE Venue WHEN 'Changeling' THEN 'Wyrd' WHEN 'Mage' THEN 'Gnosis' WHEN 'Vampire' THEN 'Blood Potency' WHEN 'Werewolf' THEN 'Primal Urge' ELSE NULL END)
}}<!-- DB FOR AWARDS -->{{#get_db_data:db=nwod
	|from=rank_user JOIN rank ON rank.rank_id = rank_user.rank_id	
	|where=rank_user.userid='{{#external_value: {{{threadid|}}}forumid }}'	
	|data={{{threadid|}}}rankname=rank_name, 
	{{{threadid|}}}rankimage=rank_img_url
}}{{#set: 
	forumid={{#external_value: {{{threadid|}}}forumid }}
	|oneaccount={{#external_value: {{{threadid|}}}oneaccount }}
	|Posted={{#external_value: {{{threadid|}}}lastpost }}
	|Online={{#external_value: {{{threadid|}}}lastvisit }}
	|Last Post=[http://nwod.org/forum/showpost.php?p={{#external_value:{{{threadid|}}}lastpostid}} Last Post]
	|Presence={{#external_value:{{{threadid|}}}presence}}
	|Character Name={{#external_value: {{{threadid|}}}username}}
	|Avatar={{#if: {{{Avatar|}}}|{{{Avatar|}}}|Unknown}}
	|Lived In=Sacramento
	|Sacramento Start={{#external_value:{{{threadid|}}}joindate}}
	|Sacramento End={{#external_value:{{{threadid|}}}lastpost}}
}}<div style="position: absolute; right: 0px; top: -25px;">
{{#for_external_table: <div style="display: inline; padding-left: 3px;" ><html><a href="http://nwod.org/forum/member.php?</html>{{#external_value: {{{threadid|}}}forumid }}<html>&tab=myranks" title="</html>{{{{{{threadid|}}}rankname}}}<html>"><img src="http://nwod.org/forum/</html>{{{{{{threadid|}}}rankimage}}}<html>" /></a></html></div> }}
</div><div class="{{#external_value: {{{threadid|}}}venue}}page chartempwrapper {{#external_value: {{{threadid|}}}venue}}back" style="min-width: 600px;">
	<div style="float: right; width: 200px; margin-right: 3px;">
				<div style="height: 200px; overflow: hidden;">[[Image:{{#external_value: {{{threadid|}}}username}}.jpg|200px|Click here to upload portrait.]]</div>
				<div style="height: 100px; overflow: hidden; float: right;">
					<html>
						<a href="http://nwod.org/forum/member.php?</html>{{#external_value: {{{threadid|}}}forumid }}<html>"><img src="http://nwod.org/forum/image.php?u=</html>{{#external_value: {{{threadid|}}}forumid }}<html>" title="View Forum Profile Page" alt="View Forum Profile Page" style="min-height: 100px; width: 100px;" /></a>
					</html>
				</div>
				<div style="height: 100px; overflow: hidden; float: right;">
					<html>
						<a href="http://nwod.org/forum/member.php?</html>{{#external_value: {{{threadid|}}}mainid }}<html>"><img src="http://nwod.org/forum/image.php?u=</html>{{#external_value: {{{threadid|}}}mainid }}<html>" title="Created By </html>{{#external_value: {{{threadid|}}}mainname }}<html>" style="min-height: 100px; width: 100px;" /></a>
					</html>
				</div>
				{{TOC left}}
				{{#if: {{#external_value: {{{threadid|}}}ppic }} |<div style="width: 200px; margin-top: -20px; float: right;"><html>
						<a href="http://nwod.org/forum/member.php?</html>{{#external_value: {{{threadid|}}}forumid }}<html>"><img src="http://nwod.org/forum/image.php?u=</html>{{#external_value: {{{threadid|}}}forumid }}<html>&type=profile" title="View Forum Profile Page" alt="View Forum Profile Page" style="width: 200px;" /></a>
				</html></div>|}}
				<div style="clear: both;"></div>
	</div>
	<table class="charnewtable{{#external_value: {{{threadid|}}}venue}}" style="width: auto !important" >
		<tr style="vertical-align: top;">
			<td style="width: 25%;">
			</td>
			<td style="width: 100%;">
				<div class="center {{#external_value: {{{threadid|}}}venue}}font {{#external_value: {{{threadid|}}}venue}}color font200">{{#external_value: {{{threadid|}}}username}}</div>
				{{#if:{{{Quote|}}}
					|<div class="center {{#external_value: {{{threadid|}}}venue}}font font150 italic">{{{Quote|}}}</div>
					|<div class="center {{#external_value: {{{threadid|}}}venue}}font font150 italic">{{#external_value: {{{threadid|}}}usertitle}}</div>
					}}
				<table style="width: 100%; table-layout: fixed; text-align: center;" id="basicinfo" >	
					<tr style="font-size: 30px;">
						<td>
							<div>{{#if: {{#external_value: {{{threadid|}}}citystatus}} |{{#external_value: {{{threadid|}}}citystatus}}|0}}</div>
						</td>
						<td>
							{{#switch: {{#external_value: {{{threadid|}}}venue}}
								|Changeling=<div style="font-size: 20px; font-weight: bold; white-space: nowrap;">{{#external_value: {{{threadid|}}}kith}}</div><div style="font-size: 20px; font-weight: bold; white-space: nowrap;">{{#external_value: {{{threadid|}}}dualkith}}</div>
								|<div>{{#if: {{#external_value: {{{threadid|}}}citystatus}} |{{#external_value: {{{threadid|}}}familystatus}}|0}}</div>
								}}
						</td>
						<td>
							<div>{{#if: {{#external_value: {{{threadid|}}}organizationstatus}} |{{#external_value: {{{threadid|}}}organizationstatus}}|0}}</div>
						</td>
					</tr>	
					<tr style="text-transform: uppercase; font-weight: bold;">
						<td>{{#external_value: {{{threadid|}}}citylabel}}</td>
						<td>
							{{#switch: {{#external_value: {{{threadid|}}}venue}}
								|Changeling={{#external_value: {{{threadid|}}}family}}
								|{{#external_value: {{{threadid|}}}familylabel}}
								}}
						</td>
						<td style="white-space: nowrap;">{{#external_value: {{{threadid|}}}organization}}</td>
					</tr>
				</table>	
			</td>
			<td style="width: 200px;">
			</td>
		</tr>
	</table>
	






</includeonly>[[Category:Player Use Templates]]
Personal tools
Namespaces
Variants
Actions
Navigation
games
Toolbox